# -*- coding: utf-8 -*-
"""
This module contains the intro scene of the game. I just pulled a couple of
things together.
"""
import cocos
from cocos.actions import *
import data
import pyglet


from mapsprite import MapSprite

class Background(cocos.layer.Layer):
    def __init__(self):
        #cocos.layer.Layer(self)
        
        
        
        lawnImage = data.loadImage('lawn.jpg')
        width  = lawnImage.width
        height = lawnImage.height
        background = cocos.sprite.Sprite(lawnImage,scale=1.8)
        background.position = 320,240
        #self.add(background,z=-1)
        
        getoff = MapSprite('getoff.png',position=(320,240))
        self.add(getoff)
        # The title
        title = cocos.text.Label('Get off MY lawn!',
                                font_name='Times New Roman',
                                font_size=32,
                                anchor_x='center',
                                anchor_y='center',
                                color=(255,50,50,255))
        title.position = 320,240
        #self.add(title,z=1)
        
        
        scale = ScaleBy(3,1)
        self.title = title
        self.title.do(Repeat(scale + Reverse(scale)))
        #pyglet.clock.schedule_interval(self.moveTitle,0.01)
        
    def moveTitle(self,dt):
        self.title.do(MoveBy((0,1),0.0))
        
        
#IntroScene = cocos.scene.Scene(Background())